Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.models
Enum HigherOrderHMM.Type

    java.lang.Object
      java.lang.Enum<HigherOrderHMM.Type>
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.models.HigherOrderHMM.Type

All Implemented Interfaces:
  Serializable, Comparable<HigherOrderHMM.Type>

Enclosing class:
  HigherOrderHMM

    protected static enum HigherOrderHMM.Type

extends Enum<HigherOrderHMM.Type>

This enum defined different types of computations that will be done using the backward algorithm.

Author:
  Jens Keilwagen

Enum Constant Summary
`BAUM_WELCH` Defines to do Baum-Welch for the given sequence.
`LIKELIHOOD` Defines to compute the likelihood: .
`VITERBI` Defines to compute the viterbi score: .

Method Summary
`static HigherOrderHMM.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HigherOrderHMM.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIKELIHOOD

    public static final HigherOrderHMM.Type LIKELIHOOD

  Defines to compute the likelihood: .

### VITERBI

    public static final HigherOrderHMM.Type VITERBI

  Defines to compute the viterbi score: .

### BAUM_WELCH

    public static final HigherOrderHMM.Type BAUM_WELCH

  Defines to do Baum-Welch for the given sequence. In this case the forward matrix has to be filled.

Method Detail

### values

    public static HigherOrderHMM.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HigherOrderHMM.Type c : HigherOrderHMM.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HigherOrderHMM.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD